<?php
include("../core/login.php");
if ($is_admin!=1) {
    exit("<script language='javascript'>window.location.href='./login.php';</script>");
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>软件搜索-后台管理</title>
    <link rel="stylesheet" href="../css/bootstrap.min.css">
    <link rel="stylesheet" href="../css/user.css">
</head>
<body>
     
    <header style="margin: 20px;">
        <div class="input-group mb-3">
            <input type="text" class="form-control" placeholder="Search" id="setxt">
            <div class="input-group-append">
              <button class="btn btn-success" type="submit" id="subtn">搜索</button>  
             </div>
          </div>
    </header>
    <div class="back">
        <div class="user" style="margin-top: 0px;">
            <div class="table-responsive">
                <table class="table">
                    <thead>
                        <tr>
                            <th scope="col">软件名字</th>
                            <th scope="col">分类</th>
                            <th scope="col">会员下载</th>
                            <th scope="col">浏览量</th>
                            <th scope="col">操作</th>
                        </tr>
                    </thead>
                    <tbody>
                        
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <!--删除弹窗-->
    <div class="modal fade" id="myModal">
    <div class="modal-dialog">
      <div class="modal-content">
 
    <!-- 模态框头部 -->
        <div class="modal-header">
          <h4 class="modal-title">软件删除</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
 
        <!-- 模态框主体 -->
        <div class="modal-body">
          确定要把ID=[<span id="del" style="color: #2196f3;"></span>]软件数据删除吗?
        </div>
 
        <!-- 模态框底部 -->
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">关闭</button>
          <button type="button" class="btn btn-primary" id="delan">确定</button>
        </div>
 
      </div>
    </div>
  </div>
  <!--修改弹窗-->
    <div class="modal fade" id="myModalvip">
    <div class="modal-dialog">
      <div class="modal-content">
 
    <!-- 模态框头部 -->
        <div class="modal-header">
          <h4 class="modal-title">修改下载方式</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
 
        <!-- 模态框主体 -->
        <div class="modal-body">
          APPID=[<span id="add" style="color: #2196f3;"></span>]
          <div class="input-group mb-3" style="margin-top: 10px;">
                    <div class="input-group-prepend">
                      <label class="input-group-text" for="inputGroupSelect0">会员下载</label>
                    </div>
                    <select class="custom-select" id="inputGroupSelect0">
                      <option selected>请选择</option>
                      <option value="true">是</option>
                      <option value="false">否</option>
                    </select>
                </div>
        </div>
        <!-- 模态框底部 -->
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">关闭</button>
          <button type="button" class="btn btn-primary" id="addan">确定</button>
        </div>
 
      </div>
    </div>
  </div>
  
  <!--图标更换-->
    <div class="modal fade" id="myModalic">
    <div class="modal-dialog">
      <div class="modal-content">
 
    <!-- 模态框头部 -->
        <div class="modal-header">
          <h4 class="modal-title">图标更换</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
 
        <!-- 模态框主体 -->
        <div class="modal-body">
          确定要把ID=[<span id="icl" style="color: #2196f3;"></span>]软件图标进行更换吗?
        </div>
 
        <!-- 模态框底部 -->
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">关闭</button>
          <button type="button" class="btn btn-primary" id="filean">确定</button>
        </div>
 
      </div>
    </div>
  </div>
  
    <script src="../js/jquery-3.6.0.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script>
        function adic(id){
            $("#cule").click();
            $("#icl").text(id);
        }
        function icon(){
            $("#myModalic").modal("show");
        }
        $("#filean").click(function(){
            var id = $("#icl").text();
            var formData = new FormData();
            var file = document.getElementById("cule").files[0];
            formData.append("file", file);
            $.ajax({
                url: "ajax.php?act=appicon&id="+id,
                type: "POST",
                data: formData,
                processData: false,
                contentType: false,
                dataType: 'json',
                async: false,
                success: function(data){
                    if(data.code==1){
                        alert(data.msg);
                        //window.location.reload();
                    }else{
                        alert(data.msg);
                    }
                },
                error: function(data){
                    alert("服务器错误");
                }
            });
        });
        $("#subtn").click(function(){
            var date = $("#setxt").val();
            var progress=document.querySelector("tbody");
            $.ajax({
                type: "POST",
                url: "ajax.php?act=appseac",
                data: {"content":date},
                timeout: 15000,
                success: function(data){
                    progress.innerHTML = data;
                },
                error:function(data){
                   
                    alert("服务器错误");
                }
            });
        });
        function del(id){
            $("#del").text(id);
           $("#myModal").modal("show");
        }
        $("#delan").click(function(){
            var id = $("#del").text();
            $.ajax({
                type: "POST",
                url: "ajax.php?act=appdel",
                data: {"id":id},
                dataType: "json",
                timeout: 15000,
                success: function(data){
                    if(data.code==1){
                        $("#myModal").modal("hide");
                        alert(data.msg);
                        var date = $("#setxt").val();
                        var progress=document.querySelector("tbody");
                        $.ajax({
                          type: "POST",
                          url: "ajax.php?act=appseac",
                          data: {"content":date},
                          timeout: 15000,
                          success: function(data){
                          progress.innerHTML = data;
                        },
                        error:function(data){
                   
                          alert("服务器错误");
                       }
                       });
                    }else{
                        $("#myModal").modal("hide");
                        alert(data.msg);
                    }
                },
                error:function(data){
                    $("#myModal").modal("hide");
                    alert("服务器错误");
                }
            });
        });
        function add(id,type){
            $("#inputGroupSelect0").val(type)
            $("#add").text(id);
           $("#myModalvip").modal("show");
        }
        $("#addan").click(function(){
            var id = $("#add").text();
            var date = $("#inputGroupSelect0").val();
            $.ajax({
                type: "POST",
                url: "ajax.php?act=appadd",
                data: {"id":id,"type":date},
                dataType: "json",
                timeout: 15000,
                success: function(data){
                    if(data.code==1){
                        $("#myModalvip").modal("hide");
                        alert(data.msg);
                        var date = $("#setxt").val();
                        var progress=document.querySelector("tbody");
                        $.ajax({
                          type: "POST",
                          url: "ajax.php?act=appseac",
                          data: {"content":date},
                          timeout: 15000,
                          success: function(data){
                          progress.innerHTML = data;
                        },
                        error:function(data){
                   
                          alert("服务器错误");
                       }
                       });
                    }else{
                        $("#myModalvip").modal("hide");
                        alert(data.msg);
                    }
                },
                error:function(data){
                    $("#myModalvip").modal("hide");
                    alert("服务器错误");
                }
            });
        });
    </script>
</body>
</html>