<?php
include("../core/login.php");
if (isset($_GET['logout'])) {
    setcookie("admin","",time()-604800);
    exit("<script language='javascript'>alert('你已注销本次登录');window.location.href='./login.php';</script>");
}elseif ($is_admin==1) {
    exit("<script language='javascript'>alert('你已登录');window.location.href='./';</script>");
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>后台登录</title>
    <link rel="shortcut icon" href="../favicon.ico" type="image/x-icon">
    <link rel="stylesheet" href="../css/login.css">
    <link rel="stylesheet" href="../css/bootstrap.min.css">
</head>
<body>
    <!-- 模态框 -->
    <div class="modal fade" id="myModal">
    <div class="modal-dialog">
      <div class="modal-content">
   
        <!-- 模态框头部 -->
        <div class="modal-header">
          <h4 class="modal-title" id="title">加载中</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
   
        <!-- 模态框主体 -->
        <div class="modal-body">
            <div style="display: flex; justify-content: center;" id="gif"><img src="../img/Loading.gif" alt="" width="200px" height="200px"></div>
            <p id="text"></p>
        </div>

        <!-- 模态框底部 -->
      <div class="modal-footer" style="display: none;" id="bottom">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">关闭</button>
        <button type="button" class="btn btn-primary" id="btnan">确定</button>
      </div>
      </div>
    </div>
  </div>
    <section class="back">
            <div class="imgbox"><img src="../img/404.svg" alt=""></div>
        <form action="form">
            <h2>登录后台</h2>
            <input type="text" name="user" id="user" placeholder="请输入账号">
            <input type="password" name="pass" id="pass" placeholder="请输入密码">
            <p id="login">登录</p>
        </form>
    </section>
    <script src="../js/jquery-3.6.0.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script>
        $(document).ready(function(){
            $("#login").click(function(){
                $("#myModal").modal("show");
                $("#title").text("加载中");
                $("#gif").css("display","flex");
                $("#text").text("");
                $("#bottom").css("display","none");
                var user=$("#user").val();
                var pass=$("#pass").val();
                $.ajax({
                    type: "POST",
                    url: "ajax.php?act=login",
                    data: {"user":user,"pass":pass},
                    dataType: "json",
                    timeout: 15000,
                    success: function(data){
                        $("#title").text("网站提示");
                        $("#gif").css("display","none");
                        $("#text").text(data.msg);
                        if(data.code==1){
                            $("#bottom").css("display","flex");
                        }
                    },
                    error: function(data){
                        $("#title").text("网站提示");
                        $("#gif").css("display","none");
                        $("#text").text("服务器错误");
                    }
                });
            });
            $("#btnan").click(function(){
                $("#myModal").modal("hide");
                location.href="./";
            });
        });
    </script>
</body>
</html>