<?php
include("../core/common.php");
include("../core/login.php");
if ($is_admin!=1) {
    exit("<script language='javascript'>window.location.href='./login.php';</script>");
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>系统设置-后台管理</title>
    <link rel="shortcut icon" href="../favicon.ico" type="image/x-icon">
    <link rel="stylesheet" href="../css/style.css">
    <link rel="stylesheet" href="../css/bootstrap.min.css">
    <link rel="stylesheet" href="../css/set.css">
    <script src="https://kit.fontawesome.com/a4e1a7c8da.js" crossorigin="anonymous"></script>
</head>
<body>
    <input type="checkbox" name="topbom" id="topbom" hidden>
    <div class="head">
        <span class="title"><i class="fas fa-ghost"></i>Janz</span>
        <ul>
            <li>
                <a href="index.php">
                    <span><i class="fas fa-chart-pie"></i></span>
                    <span>仪盘表</span>
                </a>
            </li>
            <li>
                <a href="user.php">
                    <span><i class="fas fa-user-astronaut"></i></span>
                    <span>用户管理</span>
                </a>
            </li>
            <li>
                <a href="app-list.php">
                    <span><i class="fas fa-tools"></i></span>
                    <span>软件管理</span>
                </a>
            </li>
            <li>
                <a href="app-up.php">
                    <span><i class="fas fa-paper-plane"></i></span>
                    <span>软件上传</span>
                </a>
            </li>
            <li>
                <a href="wire-liat.php">
                    <span><i class="fas fa-list-alt"></i></span>
                    <span>线报管理</span>
                </a>
            </li>
            <li>
                <a href="wire-up.php">
                    <span><i class="fas fa-file-signature"></i></span>
                    <span>线报发布</span>
                </a>
            </li>
            <li>
                <a href="gift-list.php">
                    <span><i class="fas fa-gift"></i></span>
                    <span>兑换码管理</span>
                </a>
            </li>
            <li>
                <a href="gift-up.php">
                    <span><i class="fas fa-gavel"></i></span>
                    <span>兑换码创建</span>
                </a>
            </li>
            <li>
                <a href="order.php">
                    <span><i class="fas fa-scroll"></i></span>
                    <span>订单管理</span>
                </a>
            </li>
            <li>
                <a href="siet-list.php">
                    <span><i class="fas fa-meh"></i></span>
                    <span>收录网站</span>
                </a>
            </li>
            <li>
                <a href="siet-up.php">
                    <span><i class="far fa-handshake"></i></span>
                    <span>网站添加</span>
                </a>
            </li>
            <li>
                <a href="set.php" class="select">
                    <span><i class="fas fa-sliders-h"></i></span>
                    <span>系统设置</span>
                </a>
            </li>
        </ul>
    </div>
    <div class="back">
        <header class="hetle">
            <label for="topbom">
                <span></span>
                <span></span>
                <span></span>
            </label>
            <h4>系统设置</h4>
            <a href="./login.php?logout">
                <span><i class="fas fa-sign-in-alt"></i></span>
                <span>退出登录</span>
            </a>
        </header>
        <div class="set">
            <div class="list">
                <h2>发布更新</h2>
                <form action="gx">
                    <div class="form-group">
                        <label for="pwd">版本号</label>
                        <input type="text" id="bb" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="pwd">下载链接</label>
                        <input type="text" id="lj" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="pwd">更新内容</label>
                        <textarea class="form-control" id="nr" rows="5"></textarea>
                    </div>
                    <p class="btn btn-primary" id="upsub">更新软件</p>
                </form>
            </div>
            
            <div class="list">
                <h2>发布公告</h2>
                <form action="gga">
                    <div class="form-group">
                        <label for="pwd">公告内容</label>
                        <textarea class="form-control" id="ggnr" rows="12"></textarea>
                    </div>
                    <p class="btn btn-primary" id="ggsub">更新公告</p>
                </form>
            </div>
            
            <div class="list">
                <h2>支付设置</h2>
                <form action="zf">
                    <div class="form-group">
                        <label for="pwd">支付网站</label>
                        <input id="url" type="text" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="pwd">支付pid</label>
                        <input id="pid" type="text" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="pwd">支付密匙</label>
                        <input id="key" type="text" class="form-control">
                    </div>
                    <p class="btn btn-primary" id="pay">修改设置</p>
                </form>
            </div>
            <div class="list">
                <h2>邮箱配置</h2>
                <div class="form-group">
                    <label for="pwd">邮箱账号</label>
                    <input type="text" id="email" class="form-control">
                </div>
                <div class="form-group">
                    <label for="pwd">授权码</label>
                    <input type="text" id="token" class="form-control">
                </div>
                <p class="btn btn-primary" id="emsub">修改设置</p>
            </div>
        </div>
    </div>
    <script src="../js/jquery-3.6.0.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script>
        $("#emsub").click(function(){
            var email = $("#email").val();
            var token = $("#token").val();
            $.ajax({
                type: "POST",
                url: "ajax.php?act=setemail",
                data: {"token":token,"email":email},
                dataType: "json",
                timeout: 15000,
                success: function(data){
                    if(data.code==1){
                        alert(data.msg);
                    }else{
                        alert(data.msg);
                    }
                },
                error:function(data){
                    alert("服务器错误");
                }
            });
        });
        $("#ggsub").click(function(){
            var content = $("#ggnr").val();
            $.ajax({
                type: "POST",
                url: "ajax.php?act=setnot",
                data: {"content":content},
                dataType: "json",
                timeout: 15000,
                success: function(data){
                    if(data.code==1){
                        alert(data.msg);
                    }else{
                        alert(data.msg);
                    }
                },
                error:function(data){
                    alert("服务器错误");
                }
            });
        });
        $("#upsub").click(function(){
            var bb = $("#bb").val();
            var lj = $("#lj").val();
            var nr = $("#nr").val();
            $.ajax({
                type: "POST",
                url: "ajax.php?act=setup",
                data: {"name":bb,"link":lj,"content":nr},
                dataType: "json",
                timeout: 15000,
                success: function(data){
                    if(data.code==1){
                        alert(data.msg);
                    }else{
                        alert(data.msg);
                    }
                },
                error:function(data){
                    alert("服务器错误");
                }
            });
        });
        $("#pay").click(function(){
            var url = $("#url").val();
            var pid = $("#pid").val();
            var key = $("#key").val();
            $.ajax({
                type: "POST",
                url: "ajax.php?act=setpay",
                data: {"url":url,"pid":pid,"key":key},
                dataType: "json",
                timeout: 15000,
                success: function(data){
                    if(data.code==1){
                        alert(data.msg);
                    }else{
                        alert(data.msg);
                    }
                },
                error:function(data){
                    alert("服务器错误");
                }
            });
        });
    </script>
</body>
</html>