<?php
include("../core/common.php");
include("../core/login.php");
if ($is_admin!=1) {
    exit("<script language='javascript'>window.location.href='./login.php';</script>");
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>网站添加-后台管理</title>
    <link rel="shortcut icon" href="../favicon.ico" type="image/x-icon">
    <link rel="stylesheet" href="../css/style.css">
    <link rel="stylesheet" href="../css/bootstrap.min.css">
    <script src="https://kit.fontawesome.com/a4e1a7c8da.js" crossorigin="anonymous"></script>
</head>
<body>
    <input type="checkbox" name="topbom" id="topbom" hidden>
    <div class="head">
        <span class="title"><i class="fas fa-ghost"></i>Janz</span>
        <ul>
            <li>
                <a href="index.php">
                    <span><i class="fas fa-chart-pie"></i></span>
                    <span>仪盘表</span>
                </a>
            </li>
            <li>
                <a href="user.php">
                    <span><i class="fas fa-user-astronaut"></i></span>
                    <span>用户管理</span>
                </a>
            </li>
            <li>
                <a href="app-list.php">
                    <span><i class="fas fa-tools"></i></span>
                    <span>软件管理</span>
                </a>
            </li>
            <li>
                <a href="app-up.php">
                    <span><i class="fas fa-paper-plane"></i></span>
                    <span>软件上传</span>
                </a>
            </li>
            <li>
                <a href="wire-liat.php">
                    <span><i class="fas fa-list-alt"></i></span>
                    <span>线报管理</span>
                </a>
            </li>
            <li>
                <a href="wire-up.php">
                    <span><i class="fas fa-file-signature"></i></span>
                    <span>线报发布</span>
                </a>
            </li>
            <li>
                <a href="gift-list.php">
                    <span><i class="fas fa-gift"></i></span>
                    <span>兑换码管理</span>
                </a>
            </li>
            <li>
                <a href="gift-up.php">
                    <span><i class="fas fa-gavel"></i></span>
                    <span>兑换码创建</span>
                </a>
            </li>
            <li>
                <a href="order.php">
                    <span><i class="fas fa-scroll"></i></span>
                    <span>订单管理</span>
                </a>
            </li>
            <li>
                <a href="siet-list.php">
                    <span><i class="fas fa-meh"></i></span>
                    <span>收录网站</span>
                </a>
            </li>
            <li>
                <a href="siet-up.php" class="select">
                    <span><i class="far fa-handshake"></i></span>
                    <span>网站添加</span>
                </a>
            </li>
            <li>
                <a href="set.php">
                    <span><i class="fas fa-sliders-h"></i></span>
                    <span>系统设置</span>
                </a>
            </li>
        </ul>
    </div>
    <div class="back">
        <header class="hetle">
            <label for="topbom">
                <span></span>
                <span></span>
                <span></span>
            </label>
            <h4>收录网站添加</h4>
            <a href="./login.php?logout">
                <span><i class="fas fa-sign-in-alt"></i></span>
                <span>退出登录</span>
            </a>
        </header>
        <div style="margin-top: 80px; padding: 20px;">
            <form action="form">
                <div class="input-group flex-nowrap">
                    <div class="input-group-prepend">
                      <span class="input-group-text" id="addon-wrapping">标题</span>
                    </div>
                    <input type="text" id="name" class="form-control" placeholder="请输入" aria-label="Username" aria-describedby="addon-wrapping">
                </div>
                <div class="input-group flex-nowrap" style="margin-top: 10px;">
                    <div class="input-group-prepend">
                      <span class="input-group-text" id="addon-wrapping">网址</span>
                    </div>
                    <input type="text" id="link" class="form-control" placeholder="请输入" aria-label="Username" aria-describedby="addon-wrapping">
                </div>
                <div class="input-group flex-nowrap" style="margin-top: 10px;">
                    <div class="input-group-prepend">
                      <span class="input-group-text" id="addon-wrapping">图标</span>
                    </div>
                    <input type="text" id="icon" class="form-control" placeholder="请输入" aria-label="Username" aria-describedby="addon-wrapping">
                </div>
                <p class="btn btn-primary" style="margin-top: 10px;" id="sub">添加网站</p>
            </form>
        </div>
    </div>
    <script src="../js/jquery-3.6.0.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script>
        $("#sub").click(function(){
            var name = $("#name").val();
            var link = $("#link").val();
            var icon = $("#icon").val();
            $.ajax({
                type: "POST",
                url: "ajax.php?act=frieadd",
                data: {"name":name,"link":link,"icon":icon},
                dataType: "json",
                timeout: 15000,
                success: function(data){
                    if(data.code==1){
                        alert(data.msg);
                        window.location.reload();
                    }else{
                        alert(data.msg);
                    }
                },
                error:function(data){
                    alert("服务器错误");
                }
            });
        });
    </script>
</body>
</html>