<?php
include("../core/common.php");
include("../core/login.php");
if ($is_admin!=1) {
    exit("<script language='javascript'>window.location.href='./login.php';</script>");
}
$wrieco=$dbh->query("SELECT count(*) FROM `wrie`")->fetchColumn();
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0,max">
    <title>线报管理-后台管理</title>
    <link rel="shortcut icon" href="../favicon.ico" type="image/x-icon">
    <link rel="stylesheet" href="../css/style.css">
    <link rel="stylesheet" href="../css/bootstrap.min.css">
    <link rel="stylesheet" href="../css/wrie.css">
    <script src="https://kit.fontawesome.com/a4e1a7c8da.js" crossorigin="anonymous"></script>
</head>
<body>
    <!--删除弹窗-->
    <div class="modal fade" id="myModal">
    <div class="modal-dialog">
      <div class="modal-content">
 
    <!-- 模态框头部 -->
        <div class="modal-header">
          <h4 class="modal-title">线报删除</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
 
        <!-- 模态框主体 -->
        <div class="modal-body">
          确定要把ID=[<span id="del" style="color: #2196f3;"></span>]线报数据删除吗?
        </div>
 
        <!-- 模态框底部 -->
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">关闭</button>
          <button type="button" class="btn btn-primary" id="delan">确定</button>
        </div>
 
      </div>
    </div>
  </div>
  
    <input type="checkbox" name="topbom" id="topbom" hidden>
    <div class="head">
        <span class="title"><i class="fas fa-ghost"></i>Janz</span>
        <ul>
            <li>
                <a href="index.php">
                    <span><i class="fas fa-chart-pie"></i></span>
                    <span>仪盘表</span>
                </a>
            </li>
            <li>
                <a href="user.php">
                    <span><i class="fas fa-user-astronaut"></i></span>
                    <span>用户管理</span>
                </a>
            </li>
            <li>
                <a href="app-list.php">
                    <span><i class="fas fa-tools"></i></span>
                    <span>软件管理</span>
                </a>
            </li>
            <li>
                <a href="app-up.php">
                    <span><i class="fas fa-paper-plane"></i></span>
                    <span>软件上传</span>
                </a>
            </li>
            <li>
                <a href="wire-liat.php" class="select">
                    <span><i class="fas fa-list-alt"></i></span>
                    <span>线报管理</span>
                </a>
            </li>
            <li>
                <a href="wire-up.php">
                    <span><i class="fas fa-file-signature"></i></span>
                    <span>线报发布</span>
                </a>
            </li>
            <li>
                <a href="gift-list.php">
                    <span><i class="fas fa-gift"></i></span>
                    <span>兑换码管理</span>
                </a>
            </li>
            <li>
                <a href="gift-up.php">
                    <span><i class="fas fa-gavel"></i></span>
                    <span>兑换码创建</span>
                </a>
            </li>
            <li>
                <a href="order.php">
                    <span><i class="fas fa-scroll"></i></span>
                    <span>订单管理</span>
                </a>
            </li>
            <li>
                <a href="siet-list.php">
                    <span><i class="fas fa-meh"></i></span>
                    <span>收录网站</span>
                </a>
            </li>
            <li>
                <a href="siet-up.php">
                    <span><i class="far fa-handshake"></i></span>
                    <span>网站添加</span>
                </a>
            </li>
            <li>
                <a href="set.php">
                    <span><i class="fas fa-sliders-h"></i></span>
                    <span>系统设置</span>
                </a>
            </li>
        </ul>
    </div>
    <div class="back">
        <header class="hetle">
            <label for="topbom">
                <span></span>
                <span></span>
                <span></span>
            </label>
            <h4>线报管理</h4>
            <a href="./login.php?logout">
                <span><i class="fas fa-sign-in-alt"></i></span>
                <span>退出登录</span>
            </a>
        </header>
        <div class="wrie">
            <div class="wrie-title">
                <span><i class="fas fa-circle"></i>发布了<?php echo $wrieco; ?>个线报</span>
                <a href="">搜索线报<i class="fas fa-search"></i></a>
            </div>
        </div>
        <div class="table-responsive">
            <table class="table">
                <thead>
                    <tr>
                        <th scope="col">标题</th>
                        <th scope="col">分类</th>
                        <th scope="col">热度</th>
                        <th scope="col">操作</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                        $numrows=$dbh->query("SELECT count(*) FROM `wrie`")->fetchColumn();
                        $pagesize=10;//每页显示数量
                        $pages=intval($numrows/$pagesize);
                        if ($numrows%$pagesize) {
                          $pages++;
                        }
                        if (isset($_GET['page'])){
                          $page=intval($_GET['page']);
                        }else{
                          $page=1;
                        }
                        $offset=$pagesize*($page - 1);
                        $rs=$dbh->query("SELECT * FROM `wrie` ORDER BY wrie_id DESC limit $offset,$pagesize");
                        while($res = $rs->fetch()){
                            $row=$dbh->query("SELECT * FROM `wrie` WHERE `wrie_id`='{$res['wrie_id']}' limit 1")->fetch();
                            if ($row['page']==1) {
                                $wrty="官方公告";
                            } elseif ($row['page']==2) {
                                $wrty="红包专区";
                            } else {
                                $wrty="虚拟物品";
                            }
                            echo '<tr>
                            <td>'.base64_decode($row['name']).'</td>
                            <td>'.$wrty.'</td>
                            <td>'.$row['mes'].'</td>
                            <td><button onclick="del(\''.$row['wrie_id'].'\')">删除</button></td>
                            </tr>';
                        }
                    ?>
                </tbody>
            </table>
        </div>
        <!--分页-->
        <nav aria-label="Page navigation example">
                    <ul class="pagination">
                        <?php
                        $a=$page-1;
                        if ($a>0) {
                            echo '<li class="page-item">
                                 <a class="page-link" href="?page='.$a.'" aria-label="Previous">
                                   <span aria-hidden="true">&laquo;</span>
                                 </a>
                               </li>';
                        } else {
                            echo '<li class="page-item">
                                 <a class="page-link" href="?page=1" aria-label="Previous">
                                   <span aria-hidden="true">&laquo;</span>
                                 </a>
                               </li>';
                        }
                        for ($i = 1; $i <= $pages; $i++) {
                             if ($i==$page) {
                                 echo '<li class="page-item active" aria-current="page"><a class="page-link" href="?page='.$i.'">'.$i.'</a></li>';
                             } else {
                                 echo '<li class="page-item"><a class="page-link" href="?page='.$i.'">'.$i.'</a></li>';
                             }
                        }
                        $b=$page+1;
                        if ($b<$pages) {
                            echo '<li class="page-item">
                                  <a class="page-link" href="?page='.$b.'" aria-label="Next">
                                    <span aria-hidden="true">&raquo;</span>
                                  </a>
                                </li>';
                        } else {
                            echo '<li class="page-item">
                                  <a class="page-link" href="?page='.$pages.'" aria-label="Next">
                                    <span aria-hidden="true">&raquo;</span>
                                  </a>
                                </li>';
                        }
                        ?>
                    </ul>
                  </nav>
        <!--分页结束-->
    </div>
    <script src="../js/jquery-3.6.0.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script>
        function del(id){
            $("#del").text(id);
           $("#myModal").modal("show");
        }
        $("#delan").click(function(){
            var id = $("#del").text();
            $.ajax({
                type: "POST",
                url: "ajax.php?act=wriedel",
                data: {"id":id},
                dataType: "json",
                timeout: 15000,
                success: function(data){
                    if(data.code==1){
                        alert(data.msg);
                        window.location.reload();
                    }else{
                        $("#myModal").modal("hide");
                        alert(data.msg);
                    }
                },
                error:function(data){
                    $("#myModal").modal("hide");
                    alert("服务器错误");
                }
            });
        });
    </script>
</body>
</html>