<?php
include("../core/common.php");
include("../core/login.php");

$act=$_GET['act'];
if ($is_admin!=1 and $act!="login") {
    $result=array('code'=>-1,'msg'=>'请先登录');
    exit(json_encode($result));
}
if ($act=="login") {
    //登录
    $admin_user=$_POST['user'];
    $admin_pass=$_POST['pass'];
    if ($admin_user=="" or $admin_pass=="") {
        $result=array('code'=>-1,'msg'=>'参数不完整');
    } else {
        if ($admin_user==$admin['user'] and $admin_pass==$admin['pass']) {
            setcookie("admin",md5($admin_user."!+!".$admin_pass),time()+604800);
            $result=array('code'=>1,'msg'=>'登录成功');
        } else {
            $result=array('code'=>-1,'msg'=>'账号或密码错误');
        }
    }
} elseif ($act=="userdel") {
    //用户删除
    $id=$_POST['id'];
    if ($id=="") {
        $result=array('code'=>-1,'msg'=>'参数不完整');
    } else {
        if (preg_match('/^[0-9]*$/',$id)) {
            $sj = $dbh->query("SELECT * FROM `userwodr` WHERE `user_id`='{$id}' limit 1")->fetch();
            if ($sj) {
                if ($dbh->exec("DELETE FROM `userwodr` WHERE `user_id`='{$id}' limit 1")) {
                    $result=array('code'=>1,'msg'=>'删除成功');
                } else {
                    $result=array('code'=>-1,'msg'=>'删除失败');
                }
            } else {
                $result=array('code'=>-1,'msg'=>'用户不存在');
            }
        } else {
            $result=array('code'=>-1,'msg'=>'非法操作');
        }
    }
} elseif ($act=="useradd") {
    // 用户添加会员
    $id=$_POST['id'];
    $date=$_POST['date'];
    if ($id=="" or $date=="") {
        $result=array('code'=>-1,'msg'=>'参数不完整');
    } else {
        if (preg_match('/^[0-9]*$/',$id)) {
            if (preg_match('/^[0-9-]*$/',$date)) {
                $time=strtotime($date);
                if ($time) {
                    $sj = $dbh->query("SELECT * FROM `userwodr` WHERE `user_id`='{$id}' limit 1")->fetch();
                    if ($sj) {
                        if ($dbh->exec("UPDATE `userwodr` SET `vip`='{$time}'  WHERE `user_id`='{$id}' limit 1")) {
                            $result=array('code'=>1,'msg'=>'修改成功');
                        } else {
                            $result=array('code'=>-1,'msg'=>'修改失败');
                        }
                    } else {
                        $result=array('code'=>-1,'msg'=>'用户不存在');
                    }
                } else {
                    $result=array('code'=>-1,'msg'=>'时间值转换错误');
                }
            } else {
                $result=array('code'=>-1,'msg'=>'非法操作');
            }
        } else {
            $result=array('code'=>-1,'msg'=>'非法操作');
        }
    }
} elseif ($act=="search") {
    // 用户搜索
    $content=$_POST['content'];
    //$Epattern = '/^([0-9A-Za-z\\-_\\.]+)@([0-9a-z]+\\.[a-z]{2,3}(\\.[a-z]{2})?)$/i';
    if ($content) {
        $content = "%".$content."%";
        $rs=$dbh->query("SELECT * FROM `userwodr` WHERE email LIKE '{$content}' ORDER BY user_id DESC");
        while($res = $rs->fetch()){
            $row=$dbh->query("SELECT * FROM `userwodr` WHERE `user_id`='{$res['user_id']}' limit 1")->fetch();
            if ($row['vip']>time()) {
                $color="#4caf50";
                $hy="是";
            } else {
                $color="#f44336";
                $hy="否";
            }
            $list.='<tr>
            <td>'.$row['email'].'</td>
            <td style="color: '.$color.';">'.$hy.'</td>
            <td>'.date("Y-m-d H:i:s",$row['vip']).'</td>
            <td>
                <button onclick="add(\''.$row['user_id'].'\')">管理</button>
                <button onclick="del(\''.$row['user_id'].'\')">删除</button>
            </td>
            </tr>';
        }
    }
    exit($list);
} elseif ($act=="appup") {
    // 软件上传
    $name=$_POST['name'];
    $content=$_POST['content'];
    $link=$_POST['link'];
    $img=$_POST['img'];
    $page=$_POST['page'];
    $mem=$_POST['mem'];
    if ($name=="" or $content=="" or $link=="" or $img=="" or $page=="" or $mem=="") {
        $result=array('code'=>-1,'msg'=>'参数不完整');
    } else {
        if (preg_match('/^[0-9]*$/',$page)) {
            if ($page>6) {
                $result=array('code'=>-1,'msg'=>'分类错误');
            } else {
                if ($mem=="true" or $mem=="false") {
                    if ($img) {
                        if (file_exists("../".$img)) {
                            if (preg_match("/\b(?:(?:https?|ftp):\/\/|www\.)[-a-z0-9+&@#\/%?=~_|!:,.;]*[-a-z0-9+&@#\/%=~_|]/i",$link)) {
                                $size=appdx($link);
	                            $icon=apptb($link);
                                if ($size=="") {
                                    $result=array('code'=>-1,'msg'=>'截取APP大小失败');
                                } else {
                                    $time=time();
                                    //$name=str_replace('"','\\"',$name);
                                    //$content=str_replace('"','\\"',$content);
                                    $name=base64_encode($name);
                                    $content=base64_encode($content);
                                    $sj=$dbh->exec("INSERT INTO `app`(`emali`,`name`, `content`, `icon`, `size`, `link`, `img`, `page`, `mem`, `time`, `wes`) VALUES ('admin','{$name}','{$content}','{$icon}','{$size}','{$link}','{$img}','{$page}','{$mem}','{$time}','0')");
                                    if ($sj) {
                                        $result=array('code'=>1,'msg'=>'上传成功');
                                    } else {
                                        $result=array('code'=>-1,'msg'=>'写进数据库失败');
                                    }
                                }
                            } else {
                                $result=array('code'=>-1,'msg'=>'下载链接不合法');
                            }
                        } else {
                            $result=array('code'=>-1,'msg'=>'图片不存在');
                        }
                    } else {
                        $result=array('code'=>-1,'msg'=>'图片不存在');
                    }
                } else {
                    $result=array('code'=>-1,'msg'=>'会员值错误');
                }
            }
        } else {
            $result=array('code'=>-1,'msg'=>'分类值错误');
        }
    }
} elseif ($act=="appup1") {
    // 软件上传
    $name=$_POST['name'];
    $content=$_POST['content'];
    $link=$_POST['link'];
    $img=$_POST['img'];
    $page=$_POST['page'];
    $mem=$_POST['mem'];
    $size=$_POST['size'];
    if ($name=="" or $content=="" or $link=="" or $img=="" or $page=="" or $mem=="") {
        $result=array('code'=>-1,'msg'=>'参数不完整');
    } else {
        if (preg_match('/^[0-9]*$/',$page)) {
            if ($page>6) {
                $result=array('code'=>-1,'msg'=>'分类错误');
            } else {
                if ($mem=="true" or $mem=="false") {
                    if ($img) {
                        if (file_exists("../".$img)) {
                            if (preg_match("/\b(?:(?:https?|ftp):\/\/|www\.)[-a-z0-9+&@#\/%?=~_|!:,.;]*[-a-z0-9+&@#\/%=~_|]/i",$link)) {
                               // $size=appdx($link);
	                            $icon=apptb($link);
                                if ($size=="") {
                                    $result=array('code'=>-1,'msg'=>'请输入APP大小');
                                } else {
                                    $time=time();
                                    //$name=str_replace('"','\\"',$name);
                                    //$content=str_replace('"','\\"',$content);
                                    $name=base64_encode($name);
                                    $content=base64_encode($content);
                                    $sj=$dbh->exec("INSERT INTO `app`(`emali`,`name`, `content`, `icon`, `size`, `link`, `img`, `page`, `mem`, `time`, `wes`) VALUES ('admin','{$name}','{$content}','{$icon}','{$size}','{$link}','{$img}','{$page}','{$mem}','{$time}','0')");
                                    if ($sj) {
                                        $result=array('code'=>1,'msg'=>'上传成功');
                                    } else {
                                        $result=array('code'=>-1,'msg'=>'写进数据库失败');
                                    }
                                }
                            } else {
                                $result=array('code'=>-1,'msg'=>'下载链接不合法');
                            }
                        } else {
                            $result=array('code'=>-1,'msg'=>'图片不存在');
                        }
                    } else {
                        $result=array('code'=>-1,'msg'=>'图片不存在');
                    }
                } else {
                    $result=array('code'=>-1,'msg'=>'会员值错误');
                }
            }
        } else {
            $result=array('code'=>-1,'msg'=>'分类值错误');
        }
    }
} elseif ($act=="appdel") {
    // 软件删除
    $id=$_POST['id'];
    if ($id=="") {
        $result=array('code'=>-1,'msg'=>'参数不完整');
    } else {
        if (preg_match('/^[0-9]*$/',$id)) {
            $sj = $dbh->query("SELECT * FROM `app` WHERE `app_id`='{$id}' limit 1")->fetch();
            if ($sj) {
                if ($dbh->exec("DELETE FROM `app` WHERE `app_id`='{$id}' limit 1")) {
                    $dbh->exec("DELETE FROM `colle` WHERE `appid`='{$appid}'");
                    $result=array('code'=>1,'msg'=>'删除成功');
                    if (file_exists("../".$sj['img'])) {
                    unlink("../".$sj['img']);
                }
                if ($sj['icon']!="img/app.png") {
                    if (file_exists("../".$sj['icon'])) {
                        unlink("../".$sj['icon']);
                    }
                }
                } else {
                    $result=array('code'=>-1,'msg'=>'删除失败');
                }
            } else {
                $result=array('code'=>-1,'msg'=>'APP不存在');
            }
        } else {
            $result=array('code'=>-1,'msg'=>'非法操作');
        }
    }
} elseif ($act=="appadd") {
    // 软件修改下载方式
    $id=$_POST['id'];
    $type=$_POST['type'];
    if ($id=="" or $type=="") {
        $result=array('code'=>-1,'msg'=>'参数不完整');
    } else {
        if ($type=="false" or $type=="true") {
            $sj = $dbh->query("SELECT * FROM `app` WHERE `app_id`='{$id}' limit 1")->fetch();
            if ($sj) {
                if ($dbh->exec("UPDATE `app` SET `mem`='{$type}'  WHERE `app_id`='{$id}' limit 1")) {
                            $result=array('code'=>1,'msg'=>'修改成功');
                        } else {
                            $result=array('code'=>-1,'msg'=>'修改失败');
                        }
            } else {
                $result=array('code'=>-1,'msg'=>'APP不存在');
            }
        } else {
            $result=array('code'=>-1,'msg'=>'非法操作');
        }
    }
} elseif ($act=="appicon") {
    // 软件更换图标
    $id=$_GET['id'];
    $file=$_FILES['file'];
    if ($id=="" or $file=="") {
        $result=array('code'=>-1,'msg'=>'参数不完整');
    } else {
        if (preg_match('/^[0-9]*$/',$id)) {
            $temp = explode(".", $_FILES["file"]["name"]);
            $extension = end($temp);
            $allowedExts = array("jpeg", "jpg", "png");
            if (in_array($extension, $allowedExts)) {
                $sj = $dbh->query("SELECT * FROM `app` WHERE `app_id`='{$id}' limit 1")->fetch();
                if ($sj) {
                    $icon = "upload/".time().strrchr($_FILES['file']['name'],".");
                    if (move_uploaded_file($file['tmp_name'],"../".$icon)) {
                        if ($dbh->exec("UPDATE `app` SET `icon`='{$icon}'  WHERE `app_id`='{$id}' limit 1")) {
                            $result=array('code'=>1,'msg'=>'修改成功');
                            if ($sj['icon']!="img/app.png") {
                            if (file_exists("../".$sj['icon'])) {
                                unlink("../".$sj['icon']);
                            }
                            }
                        } else {
                            $result=array('code'=>-1,'msg'=>'修改失败');
                        }
                    } else {
                        $result=array('code'=>-1,'msg'=>'图标上传失败');
                    }
                } else {
                    $result=array('code'=>-1,'msg'=>'APP不存在');
                }
            } else {
                $result=array('code'=>-1,'msg'=>'请上传jpeg，jpg，png格式图片');
            }
        } else {
            $result=array('code'=>-1,'msg'=>'非法操作');
        }
    }
} elseif ($act=="appseac") {
    // 软件搜索
    $content=$_POST['content'];
    if (preg_match('/^[\x7f-\xffa-zA-z0-9]+$/', $content)) {
        $content = "%".base64_encode($content)."%";
        $rs=$dbh->query("SELECT * FROM `app` WHERE (name LIKE '{$content}' or content LIKE '{$content}') ORDER BY app_id DESC");
        while($res = $rs->fetch()){
        $row=$dbh->query("SELECT * FROM `app` WHERE `app_id`='{$res['app_id']}' limit 1")->fetch();
        $appa = $row['page'];
        if ($appa == 1) {
                     $pafl = "原创软件";
        } elseif ($appa == 2) {
            $pafl = "实用软件";
        } elseif ($appa == 3) {
                     $pafl = "QQ美化";
        } elseif ($appa == 4) {
                  $pafl = "影视音乐";
                 } elseif ($appa == 5) {
            $pafl = "漫画小说";
                 } elseif ($appa == 6) {
                     $pafl = "其他软件";
                 }
              if ($row['mem']=="true") {
                     $color="#4caf50";
                  $hy="是";
                  $type ="true";
              } else {
                     $color="#f44336";
                  $hy="否";
               $type="false";
           }
                 $list.= '<tr>
                             <td>'.base64_decode($row['name']).'</td>
                             <td>'.$pafl.'</td>
                          <td style="color: '.$color.';">'.$hy.'</td>
                         <td>'.$row['wes'].'</td>
                          <td>
                          <button onclick="adic(\''.$row['app_id'].'\')">更换图标</button>
                               <input type="file" id="cule" hidden onchange="icon()" accept="image/*"/>
                               <button onclick="add(\''.$row['app_id'].'\',\''.$type.'\')" style="color: #4caf50;">管理</button>
                          <button onclick="del(\''.$row['app_id'].'\')">删除</button>
                          </td>
                       </tr>';
       }
    }
    exit($list);
} elseif ($act=="wrieup") {
    // 线报上传
    $name=$_POST['name'];
    $content=$_POST['content'];
    $img=$_POST['img'];
    $page=$_POST['page'];
    if ($name == "" or $content == "" or $img == "" or $page == "") {
        $result=array('code'=>-1,'msg'=>'参数不完整');
    } else {
        if (preg_match('/^[0-9]*$/',$page)) {
            if ($page<=3) {
                if (file_exists("../".$img)) {
                    //$name=str_replace('"','\\"',$name);
                    //$content=str_replace('"','\\"',$content);
                    $name=base64_encode($name);
                    $content=base64_encode($content);
                    $time=time();
                    $wrie = $dbh->exec("INSERT INTO `wrie`(`emali`,`name`, `content`, `img`, `page`, `time`, `mes`) VALUES ('admin','{$name}','{$content}','{$img}','{$page}','{$time}','0')");
                    //$wrie = $dbh->exec("INSERT INTO `wrie`(`name`, `content`, `img`, `page`, `time`, `mes`) VALUES ('nh','12345','12355','1','12345','0')");
                    if ($wrie) {
                        $result=array('code'=>1,'msg'=>'上传成功');
                    } else {
                        $result=array('code'=>-1,'msg'=>'写进数据库失败');
                    }
                } else {
                    $result=array('code'=>-1,'msg'=>'封面图片不存在');
                }
            } else {
                $result=array('code'=>-1,'msg'=>'分类值错误');
            }
        } else {
            $result=array('code'=>-1,'msg'=>'分类值错误');
        }
    }
} elseif ($act=="wriedel") {
    // 线报删除
    $id=$_POST['id'];
    if ($id=="") {
        $result=array('code'=>-1,'msg'=>'参数不完整');
    } else {
        if (preg_match('/^[0-9]*$/',$id)) {
            $sj = $dbh->query("SELECT * FROM `wrie` WHERE `wrie_id`='{$id}' limit 1")->fetch();
            if ($sj) {
                if ($dbh->exec("DELETE FROM `wrie` WHERE `wrie_id`='{$id}' limit 1")) {
                    $result=array('code'=>1,'msg'=>'删除成功');
                    if (file_exists("../".$sj['img'])) {
                    unlink("../".$sj['img']);
                }
                } else {
                    $result=array('code'=>-1,'msg'=>'删除失败');
                }
            } else {
                $result=array('code'=>-1,'msg'=>'线报不存在');
            }
        } else {
            $result=array('code'=>-1,'msg'=>'非法操作');
        }
    }
} elseif ($act=="frieadd") {
    // 网站添加
    $name=$_POST['name'];
    $icon=$_POST['icon'];
    $link=$_POST['link'];
    if ($name=="" or $icon=="" or $link=="") {
        $result=array('code'=>-1,'msg'=>'参数不完整');
    } else {
        if (preg_match("/\b(?:(?:https?|ftp):\/\/|www\.)[-a-z0-9+&@#\/%?=~_|!:,.;]*[-a-z0-9+&@#\/%=~_|]/i",$link)) {
           if (preg_match("/\b(?:(?:https?|ftp):\/\/|www\.)[-a-z0-9+&@#\/%?=~_|!:,.;]*[-a-z0-9+&@#\/%=~_|]/i",$icon)) {
               $time=time();
               $name=str_replace('"','\\"',$name);
               $sj=$dbh->exec("INSERT INTO `frie`(`name`, `icon`, `link`, `wes`, `time`, `user`) VALUES ('{$name}','{$icon}','{$link}','0','{$time}','admin')");
               $result=array('code'=>1,'msg'=>'添加成功');
           } else {
               $result=array('code'=>-1,'msg'=>'图标链接不合法');
           }
        } else {
            $result=array('code'=>-1,'msg'=>'网站链接不合法');
        }
    }
} elseif ($act=="friedel") {
    // 网站删除
    $id=$_POST['id'];
    if ($id=="") {
        $result=array('code'=>-1,'msg'=>'参数不完整');
    } else {
        if (preg_match('/^[0-9]*$/',$id)) {
            $sj = $dbh->query("SELECT * FROM `frie` WHERE `frie_id`='{$id}' limit 1")->fetch();
            if ($sj) {
                if ($dbh->exec("DELETE FROM `frie` WHERE `frie_id`='{$id}' limit 1")) {
                    $result=array('code'=>1,'msg'=>'删除成功');
                } else {
                    $result=array('code'=>-1,'msg'=>'删除失败');
                }
            } else {
                $result=array('code'=>-1,'msg'=>'线报不存在');
            }
        } else {
            $result=array('code'=>-1,'msg'=>'非法操作');
        }
    }
} elseif ($act=="giftup") {
    // 兑换码创建
    $quan=$_POST['quan'];
    $time=$_POST['time'];
    if ($quan=="" or $time=="") {
        $result=array('code'=>-1,'msg'=>'参数不完整');
    } else {
        if (preg_match('/^[0-9]*$/',$quan) and preg_match('/^[0-9]*$/',$time)) {
            function randomkeys($length) 
            { 
                $pattern = '1234567890ZXCVBNMASDFGHJKLQWERTYUIOP';
                for($i=0;$i<$length;$i++) 
                { 
                   $key .= $pattern{mt_rand(0,35)}; //生成php随机数 
                } 
                return $key; 
            }
            for ($i = 0; $i < $quan; $i++) {
                 $kmcz="true";
                 while($kmcz=="true"){
                     $km= randomkeys(16);
                     $sj = $dbh->query("SELECT * FROM `gift` WHERE `gift`='{$km}' limit 1")->fetch();
                     if ($sj) {
                         $kmcz="true";
                     } else {
                         $kmcz="false";
                     }
                }
                $dbh->exec("INSERT INTO `gift`(`gift`, `time`) VALUES ('{$km}','{$time}')");
                $list=$km."<br>".$list;
            }
            $result=array('code'=>1,'msg'=>'创建成功','gift'=>$list);
        } else {
            $result=array('code'=>-1,'msg'=>'格式错误');
        }
    }
} elseif ($act=="giftdel") {
    // 兑换码删除
    $id=$_POST['id'];
    if ($id=="") {
        $result=array('code'=>-1,'msg'=>'参数不完整');
    } else {
        if (preg_match('/^[0-9]*$/',$id)) {
            $sj = $dbh->query("SELECT * FROM `gift` WHERE `gift_id`='{$id}' limit 1")->fetch();
            if ($sj) {
                if ($dbh->exec("DELETE FROM `gift` WHERE `gift_id`='{$id}' limit 1")) {
                    $result=array('code'=>1,'msg'=>'删除成功');
                } else {
                    $result=array('code'=>-1,'msg'=>'删除失败');
                }
            } else {
                $result=array('code'=>-1,'msg'=>'兑换码不存在');
            }
        } else {
            $result=array('code'=>-1,'msg'=>'非法操作');
        }
    }
} elseif ($act=="setemail") {
    // 邮箱修改
    $emaila=$_POST['email'];
    $token=$_POST['token'];
    if ($emaila=="" or $token=="") {
        $result=array('code'=>-1,'msg'=>'参数不完整');
    } else {
        $Epattern = '/^([0-9A-Za-z\\-_\\.]+)@([0-9a-z]+\\.[a-z]{2,3}(\\.[a-z]{2})?)$/i';
        if (preg_match($Epattern, $emaila)) {
            if (preg_match('/^[0-9A-Za-z]*$/',$token)) {
                $xg = "<?php
\$email=array(
    'smtpuser'=>'".$emaila."',
    'smtppass'=>'".$token."'
);
?>";
                if (file_put_contents("../core/email.php",$xg)) {
                    $result=array('code'=>1,'msg'=>'修改成功');
                } else {
                    $result=array('code'=>-1,'msg'=>'修改失败');
                }
            } else {
                $result=array('code'=>-1,'msg'=>'授权码格式错误');
            }
        } else {
            $result=array('code'=>-1,'msg'=>'邮箱格式错误');
        }
    }
    
} elseif ($act=="setup") {
    // 修改更新
    $bb=$_POST['name'];
    $link=$_POST['link'];
    $nr=$_POST['content'];
    if ($bb=="" or $link=="" or $nr=="") {
        $result=array('code'=>-1,'msg'=>'参数不能完整');
    } else {
        if (is_numeric($bb)) {
            if (preg_match("/\b(?:(?:https?|ftp):\/\/|www\.)[-a-z0-9+&@#\/%?=~_|!:,.;]*[-a-z0-9+&@#\/%=~_|]/i",$link)) {
                $xg="<?php
\$update=array(
    'edition'=>'".$bb."',
    'link'=>'".$link."',
    'content'=>'".$nr."'
);
?>";
               if (file_put_contents("../core/update.php",$xg)) {
                    $result=array('code'=>1,'msg'=>'修改成功');
                } else {
                    $result=array('code'=>-1,'msg'=>'修改失败');
                }
            } else {
                $result=array('code'=>-1,'msg'=>'下载链接格式错误');
            }
        } else {
            $result=array('code'=>-1,'msg'=>'版本号格式错误');
        }
    }
} elseif ($act=="setpay") {
    // 修改支付信息
    $url=$_POST['url'];
    $pid=$_POST['pid'];
    $key=$_POST['key'];
    if ($url=="" or $pid=="" or $key=="") {
        $result=array('code'=>-1,'msg'=>'参数不完整');
    } else {
        if (preg_match("/\b(?:(?:https?|ftp):\/\/|www\.)[-a-z0-9+&@#\/%?=~_|!:,.;]*[-a-z0-9+&@#\/%=~_|]/i",$url)) {
            if (preg_match('/^[0-9A-Za-z]*$/',$key)) {
                if (preg_match('/^[0-9]*$/',$pid)) {
                   $xg="<?php
\$pay=array(
    'pay_web'=>'".$url."',//支付API地址
    'pay_id'=>'".$pid."',//商户ID
    'pay_key'=>'".$key."'//商户KEY
);
?>";
                   if (file_put_contents("../core/epay.php",$xg)) {
                       $result=array('code'=>1,'msg'=>'修改成功');
                   } else {
                       $result=array('code'=>-1,'msg'=>'修改失败');
                   }
                } else {
                    $result=array('code'=>-1,'msg'=>'对接pid格式错误');
                }
            } else {
                $result=array('code'=>-1,'msg'=>'对接密匙格式错误');
            }
        } else {
            $result=array('code'=>-1,'msg'=>'支付网站格式错误');
        }
    }
    
} elseif ($act=="setnot") {
    // 修改公告
    $content = $_POST['content'];
    if ($content =="") {
        $result=array('code'=>-1,'msg'=>'参数不完整');
    } else {
        $xg="<?php
\$content='".base64_encode($content)."';
?>";
        if (file_put_contents("../core/notice.php",$xg)) {
            $result=array('code'=>1,'msg'=>'修改成功');
        } else {
            $result=array('code'=>-1,'msg'=>'修改失败');
        }
        
    }
}

exit(json_encode($result));
?>