<?php
include("../core/login.php");
if ($is_admin!=1) {
    exit("<script language='javascript'>window.location.href='./login.php';</script>");
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>用户搜索-后台管理</title>
    <link rel="stylesheet" href="../css/bootstrap.min.css">
    <link rel="stylesheet" href="../css/user.css">
</head>
<body>
     <!--删除用户弹窗-->
    <div class="modal fade" id="myModal">
    <div class="modal-dialog">
      <div class="modal-content">
 
    <!-- 模态框头部 -->
        <div class="modal-header">
          <h4 class="modal-title">用户删除</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
 
        <!-- 模态框主体 -->
        <div class="modal-body">
          确定要把ID=[<span id="del" style="color: #2196f3;"></span>]用户数据删除吗?
        </div>
 
        <!-- 模态框底部 -->
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">关闭</button>
          <button type="button" class="btn btn-primary" id="delan">确定</button>
        </div>
 
      </div>
    </div>
  </div>
  <!--加会员弹窗-->
    <div class="modal fade" id="myModalvip">
    <div class="modal-dialog">
      <div class="modal-content">
 
    <!-- 模态框头部 -->
        <div class="modal-header">
          <h4 class="modal-title">添加会员</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
 
        <!-- 模态框主体 -->
        <div class="modal-body">
          用户ID=[<span id="add" style="color: #2196f3;"></span>]
          <div class="input-group flex-nowrap">
                    <div class="input-group-prepend">
                      <!--<span class="input-group-text" id="addon-wrapping">选择时间</span>-->
                      <label class="input-group-text" for="viptxt">选择时间</label>
                    </div>
                    <input type="date" class="form-control" id="viptxt">
                </div>
        </div>
 
        <!-- 模态框底部 -->
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">关闭</button>
          <button type="button" class="btn btn-primary" id="addan">确定</button>
        </div>
 
      </div>
    </div>
  </div>
     
    <header style="margin: 20px;">
        <div class="input-group mb-3">
            <input type="text" class="form-control" placeholder="请输入搜索用户邮箱账号" id="setxt">
            <div class="input-group-append">
              <button class="btn btn-success" type="submit" id="subtn">搜索</button>  
             </div>
          </div>
    </header>
    <div class="back">
        <div class="user" style="margin-top: 0px;">
            <div class="table-responsive">
                <table class="table">
                    <thead>
                        <tr>
                            <th scope="col">用户邮箱</th>
                            <th scope="col">会员</th>
                            <th scope="col">会员时间</th>
                            <th scope="col">操作</th>
                        </tr>
                    </thead>
                    <tbody>
                        
                    </tbody>
                </table>
            </div>
        </div>
    </div>
  
    <script src="../js/jquery-3.6.0.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script>
        $("#subtn").click(function(){
            var date = $("#setxt").val();
            var progress=document.querySelector("tbody");
            $.ajax({
                type: "POST",
                url: "ajax.php?act=search",
                data: {"content":date},
                timeout: 15000,
                success: function(data){
                    progress.innerHTML = data;
                },
                error:function(data){
                   
                    alert("服务器错误");
                }
            });
        });
        function del(id){
            $("#del").text(id);
           $("#myModal").modal("show");
        }
        function add(id){
            $("#viptxt").val("")
            $("#add").text(id);
           $("#myModalvip").modal("show");
        }
        $("#delan").click(function(){
            var id = $("#del").text();
            $.ajax({
                type: "POST",
                url: "ajax.php?act=userdel",
                data: {"id":id},
                dataType: "json",
                timeout: 15000,
                success: function(data){
                    if(data.code==1){
                         $("#myModal").modal("hide");
                        alert(data.msg);
                        var date = $("#setxt").val();
                        var progress=document.querySelector("tbody");
                        $.ajax({
                          type: "POST",
                          url: "ajax.php?act=search",
                          data: {"content":date},
                          timeout: 15000,
                          success: function(data){
                          progress.innerHTML = data;
                        },
                        error:function(data){
                   
                          alert("服务器错误");
                       }
                       });
                    }else{
                        $("#myModal").modal("hide");
                        alert(data.msg);
                    }
                },
                error:function(data){
                    $("#myModal").modal("hide");
                    alert("服务器错误");
                }
            });
        });
        $("#addan").click(function(){
            var id = $("#add").text();
            var date = $("#viptxt").val();
            $.ajax({
                type: "POST",
                url: "ajax.php?act=useradd",
                data: {"id":id,"date":date},
                dataType: "json",
                timeout: 15000,
                success: function(data){
                    if(data.code==1){
                        $("#myModalvip").modal("hide");
                        alert(data.msg);
                        var date = $("#setxt").val();
                        var progress=document.querySelector("tbody");
                        $.ajax({
                          type: "POST",
                          url: "ajax.php?act=search",
                          data: {"content":date},
                          timeout: 15000,
                          success: function(data){
                          progress.innerHTML = data;
                        },
                        error:function(data){
                   
                          alert("服务器错误");
                       }
                       });
                    }else{
                        $("#myModalvip").modal("hide");
                        alert(data.msg);
                    }
                },
                error:function(data){
                    $("#myModalvip").modal("hide");
                    alert("服务器错误");
                }
            });
        });
    </script>
</body>
</html>