<?php
include("../core/common.php");
include("../core/login.php");
if ($is_admin!=1) {
    exit("<script language='javascript'>window.location.href='./login.php';</script>");
}
$frieco=$dbh->query("SELECT count(*) FROM `frie`")->fetchColumn();
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>收录网站管理-后台管理</title>
    <link rel="shortcut icon" href="../favicon.ico" type="image/x-icon">
    <link rel="stylesheet" href="../css/style.css">
    <link rel="stylesheet" href="../css/bootstrap.min.css">
    <link rel="stylesheet" href="../css/wrie.css">
    <script src="https://kit.fontawesome.com/a4e1a7c8da.js" crossorigin="anonymous"></script>
</head>
<body>
    <!--删除弹窗-->
    <div class="modal fade" id="myModal">
    <div class="modal-dialog">
      <div class="modal-content">
 
    <!-- 模态框头部 -->
        <div class="modal-header">
          <h4 class="modal-title">网站删除</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
 
        <!-- 模态框主体 -->
        <div class="modal-body">
          确定要把ID=[<span id="del" style="color: #2196f3;"></span>]网站数据删除吗?
        </div>
 
        <!-- 模态框底部 -->
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">关闭</button>
          <button type="button" class="btn btn-primary" id="delan">确定</button>
        </div>
 
      </div>
    </div>
  </div>
  
    <input type="checkbox" name="topbom" id="topbom" hidden>
    <div class="head">
        <span class="title"><i class="fas fa-ghost"></i>Janz</span>
        <ul>
            <li>
                <a href="index.php">
                    <span><i class="fas fa-chart-pie"></i></span>
                    <span>仪盘表</span>
                </a>
            </li>
            <li>
                <a href="user.php">
                    <span><i class="fas fa-user-astronaut"></i></span>
                    <span>用户管理</span>
                </a>
            </li>
            <li>
                <a href="app-list.php">
                    <span><i class="fas fa-tools"></i></span>
                    <span>软件管理</span>
                </a>
            </li>
            <li>
                <a href="app-up.php">
                    <span><i class="fas fa-paper-plane"></i></span>
                    <span>软件上传</span>
                </a>
            </li>
            <li>
                <a href="wire-liat.php">
                    <span><i class="fas fa-list-alt"></i></span>
                    <span>线报管理</span>
                </a>
            </li>
            <li>
                <a href="wire-up.php">
                    <span><i class="fas fa-file-signature"></i></span>
                    <span>线报发布</span>
                </a>
            </li>
            <li>
                <a href="gift-list.php">
                    <span><i class="fas fa-gift"></i></span>
                    <span>兑换码管理</span>
                </a>
            </li>
            <li>
                <a href="gift-up.php">
                    <span><i class="fas fa-gavel"></i></span>
                    <span>兑换码创建</span>
                </a>
            </li>
            <li>
                <a href="order.php">
                    <span><i class="fas fa-scroll"></i></span>
                    <span>订单管理</span>
                </a>
            </li>
            <li>
                <a href="siet-list.php" class="select">
                    <span><i class="fas fa-meh"></i></span>
                    <span>收录网站</span>
                </a>
            </li>
            <li>
                <a href="siet-up.php">
                    <span><i class="far fa-handshake"></i></span>
                    <span>网站添加</span>
                </a>
            </li>
            <li>
                <a href="set.php">
                    <span><i class="fas fa-sliders-h"></i></span>
                    <span>系统设置</span>
                </a>
            </li>
        </ul>
    </div>
    <div class="back">
        <header class="hetle">
            <label for="topbom">
                <span></span>
                <span></span>
                <span></span>
            </label>
            <h4>收录网站管理</h4>
            <a href="./login.php?logout">
                <span><i class="fas fa-sign-in-alt"></i></span>
                <span>退出登录</span>
            </a>
        </header>
        <div class="wrie">
            <div class="wrie-title">
                <span><i class="fas fa-circle"></i>共收录了<?php echo $frieco; ?>个网站</span>
                <a href="">搜索网站<i class="fas fa-search"></i></a>
            </div>
        </div>
        <div class="table-responsive">
            <table class="table">
                <thead>
                    <tr>
                        <th scope="col">标题</th>
                        <th scope="col">网址</th>
                        <th scope="col">发布者</th>
                        <th scope="col">点击量</th>
                        <th scope="col">操作</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                        $rs=$dbh->query("SELECT * FROM `frie` ORDER BY frie_id DESC");
                        while($res = $rs->fetch()){
                            $row=$dbh->query("SELECT * FROM `frie` WHERE `frie_id`='{$res['frie_id']}' limit 1")->fetch();
                            echo '<tr>
                            <td>'.$row['name'].'</td>
                            <td>'.$row['link'].'</td>
                            <td>'.$row['user'].'</td>
                            <td>'.$row['wes'].'</td>
                            <td><button onclick="del(\''.$row['frie_id'].'\')">删除</button></td>
                            </tr>';
                        }
                    ?>
                </tbody>
            </table>
        </div>
        <!--分页
        <nav aria-label="Page navigation example">
            <ul class="pagination">
              <li class="page-item">
                <a class="page-link" href="#" aria-label="Previous">
                  <span aria-hidden="true">&laquo;</span>
                </a>
              </li>
              <li class="page-item active" aria-current="page"><a class="page-link" href="#">1</a></li>
              <li class="page-item"><a class="page-link" href="#">2</a></li>
              <li class="page-item"><a class="page-link" href="#">3</a></li>
              <li class="page-item">
                <a class="page-link" href="#" aria-label="Next">
                  <span aria-hidden="true">&raquo;</span>
                </a>
              </li>
            </ul>
          </nav>
        分页结束-->
    </div>
    <script src="../js/jquery-3.6.0.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script>
        function del(id){
            $("#del").text(id);
           $("#myModal").modal("show");
        }
        $("#delan").click(function(){
            var id = $("#del").text();
            $.ajax({
                type: "POST",
                url: "ajax.php?act=friedel",
                data: {"id":id},
                dataType: "json",
                timeout: 15000,
                success: function(data){
                    if(data.code==1){
                        alert(data.msg);
                        window.location.reload();
                    }else{
                        $("#myModal").modal("hide");
                        alert(data.msg);
                    }
                },
                error:function(data){
                    $("#myModal").modal("hide");
                    alert("服务器错误");
                }
            });
        });
    </script>
</body>
</html>