<?php
include("core/common.php");
include("core/update.php");
$appurl=$update['link'];
$app=$dbh->query("SELECT count(*) FROM `app`")->fetchColumn();
$user=$dbh->query("SELECT count(*) FROM `userwodr`")->fetchColumn();
$wrie=$dbh->query("SELECT count(*) FROM `wrie`")->fetchColumn();
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>2021-软件库</title>
    <link rel="stylesheet" href="css/app.css">
    <link rel="shortcut icon" href="favicon.ico" type="image/x-icon">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.7.0/font/bootstrap-icons.css">
    <link rel="stylesheet" href="https://unpkg.com/swiper/swiper-bundle.min.css" />
</head>
<body>
    <header>
        <div class="logo"><img src="app/logo.png" alt=""><span>软件库</span></div>
        <div id="menu-bar" class="bi bi-list"></div>
        <nav class="navbar">
            <a href="#home">首页</a>
            <a href="#function">功能介绍</a>
            <a href="#screemshot">软件截图</a>
            <a href="#salt">售后服务</a>
        </nav>
    </header>

    <section class="home" id="home">
        <div class="content">
            <img src="app/logo.png" alt="">
            <h3>软件库</h3>
            <div>
                <a onclick="location.href='<?php echo $appurl; ?>';">下载软件</a>
                <!--会自动获取最新版本的下载链接，无需手动更改-->
                <a href="scheme://janz/datastring">打开软件</a>
            </div>
        </div>
        <div class="image">
            <img src="app/back.svg" alt="">
        </div>
    </section>

    <section class="function" id="function">
        <h1 class="heading"><span>"值得信赖的品牌"</span></h1>
        <div class="box-container">
            <div class="box">
                <img src="app/img-1.svg" alt="">
                <h4>精品软件</h4>
                <p>我们共收录了<?php echo $app; ?>个精品软件</p>
            </div>
            <div class="box">
                <img src="app/img-2.svg" alt="">
                <h4>活动线报</h4>
                <p>我们共发布了<?php echo $wrie; ?>个活动线报</p>
            </div>
            <div class="box">
                <img src="app/img-3.svg" alt="">
                <h4>用户数量</h4>
                <p>我们已荣获<?php echo $user; ?>个用户的信赖</p>
            </div>
        </div>
    </section>

    <section class="screemshot" id="screemshot">
        <h1 class="heading"><span>"软件截图,功能介绍"</span></h1>
        <div class="swiper-container image-slider">
            <div class="swiper-wrapper">
                <div class="swiper-slide"><img src="app/app_1.png" alt=""></div>
                <div class="swiper-slide"><img src="app/app_2.png" alt=""></div>
                <div class="swiper-slide"><img src="app/app_3.png" alt=""></div>
                <div class="swiper-slide"><img src="app/app_4.png" alt=""></div>
                <div class="swiper-slide"><img src="app/app_5.png" alt=""></div>
                <div class="swiper-slide"><img src="app/app_6.png" alt=""></div>
                <div class="swiper-slide"><img src="app/app_7.png" alt=""></div>
            </div>
        </div>
    </section>

    <section class="salt" id="salt">
        <div class="box">
            <i class="bi bi-chat-square-dots-fill title"></i>
            <h1 class="heading"><span>添加官方群聊</span></h1>
            <div>
                <span><i class="bi bi-envelope"></i>579450731</span>
                <a href="">添加</a>
            </div>
            <p><i class="bi bi-exclamation-circle"></i>群里并不会很吵闹，而且很和谐</p>
        </div>
    </section>

    <section class="footer">
        <p>@2021软件库</p>
    </section>

    <a href="#home" class="fade-up" id="scroll-top"><i class="bi bi-arrow-up-square-fill"></i></a>

    <script src="https://unpkg.com/swiper/swiper-bundle.min.js"></script>
    <script>
        var swiper = new Swiper(".image-slider", {
    effect: "coverflow",
    grabCursor: true,
    centeredSlides: true,
    slidesPerView: "auto",
    coverflowEffect: {
        rotate: 0,
        stretch: 0,
        depth: 100,
        modifier: 2,
        slideShadows: true,
    },
    loop:true,
    autoplay: {
          delay: 2000,
          disableOnInteraction: false,
    },
});    

        let menu = document.querySelector('#menu-bar');
        let navbar = document.querySelector('.navbar');
        menu.onclick = () =>{
            menu.classList.toggle('bi-x');
            navbar.classList.toggle('active');
        }
        window.onscroll = () =>{
            menu.classList.remove('bi-x');
            navbar.classList.remove('active');
            if (window.scrollY>60) {
                document.querySelector('header').classList.add('active');
                document.querySelector('#scroll-top').classList.add('active');
            } else {
                document.querySelector('header').classList.remove('active');
                document.querySelector('#scroll-top').classList.remove('active');
            }
        }
        
    </script>
</body>
</html>