<!DOCTYPE html>
<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
    <title>支付成功</title>
    <style type="text/css" media="all">
      body {
  display: flex;
  //justify-content: center;
  align-items: center;
  //min-height: 100vh;
  flex-direction: column;
}

h2 {
  font-family: Helvetica;
  font-size: 32px;
  margin-top: 0px;
  color: #333;
  opacity: 0;
}

input[type="checkbox"]:checked ~ h2 {
  animation: .6s title ease-in-out;
  animation-delay: 1s;
  animation-fill-mode: forwards;
}

.circle {
  stroke-dasharray: 723;
  stroke-dashoffset: 723;
}
input[type="checkbox"]:checked + svg .circle {
  animation: circle 0.8s ease-in-out;
  animation-fill-mode: forwards;
}
.tick {
  stroke-dasharray: 250;
  stroke-dashoffset: 250;
}

input[type="checkbox"]:checked + svg .tick {
  animation: tick .7s ease-out;
  animation-fill-mode: forwards;
  animation-delay: .95s;
}

@keyframes circle {
  from {
    stroke-dashoffset: 723;
  }
  to {
    stroke-dashoffset: 1445;
  }
}

@keyframes tick {
  from {
    stroke-dashoffset: 250;
  }
  to {
    stroke-dashoffset: 0;
  }
}

@keyframes title {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
    </style>
  </head>
  <body>
    <input type="checkbox" checked="true" hidden="true">

    <svg width="300" height="390">
    <circle fill="none" stroke="#68E534" stroke-width="15" cx="150" cy="150" r="115" class="circle" stroke-linecap="round" transform="rotate(-90 200 200) "/>
    <polyline fill="none" stroke="#68E534" stroke-width="18" points="80,254 143,294 214,208" stroke-linecap="round" stroke-linejoin="round" class="tick" />
    </svg>

    <h2>支付成功</h2>
  </body>
</html>